package central;

import org.jboss.arquillian.api.Deployment;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.arquillian.spi.core.annotation.Inject;
import org.jboss.shrinkwrap.api.ArchivePaths;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.asset.EmptyAsset;
import org.jboss.shrinkwrap.api.spec.JavaArchive;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;

@RunWith(Arquillian.class)
public class TemperatureConverterTest {
	@Inject
	private TemperatureConverter converter;

	@Deployment
	public static JavaArchive createTestArchive() {
		JavaArchive jar = ShrinkWrap
				.create(JavaArchive.class, "testTemperature.jar")
				.addClasses(TemperatureConverter.class)
				.addAsManifestResource(EmptyAsset.INSTANCE,
						ArchivePaths.create("beans.xml"));
		return jar;
	}

	@Test
	public void testConvertToCelsius() {
		Assert.assertEquals(converter.convertToCelsius(32d), 0d, 0d);
		Assert.assertEquals(converter.convertToCelsius(212d), 100d, 0d);
	}

	@Test
	public void testConvertToFarenheit() {
		Assert.assertEquals(converter.convertToFarenheit(0d), 32d, 0d);
		Assert.assertEquals(converter.convertToFarenheit(100d), 212d, 0d);
	}
}